io.vertx.maven

## Class ResolverOptions

- java.lang.Object
- - io.vertx.maven.ResolverOptions

-     public class ResolverOptions
      extends Object

  Options to configure the resolver.
  Author:
    Clement Escoffier

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `HTTP_PROXY_SYS_PROP`
    `static String` | `HTTPS_PROXY_SYS_PROP`
    `static String` | `LOCAL_REPO_SYS_PROP`
    `static String` | `REMOTE_REPOS_SYS_PROP`
    `static String` | `REMOTE_SNAPSHOT_POLICY_SYS_PROP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResolverOptions()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getHttpProxy()`
    `String` | `getHttpsProxy()`
    `String` | `getLocalRepository()`
    `List<String>` | `getRemoteRepositories()`
    `String` | `getRemoteSnapshotPolicy()` Gets the remote snapshot policy.
    `ResolverOptions` | `setHttpProxy(String httpProxy)` Sets the address of the proxy used for HTTP requests.
    `ResolverOptions` | `setHttpsProxy(String httpsProxy)` Sets the address of the proxy used for HTTPS requests.
    `ResolverOptions` | `setLocalRepository(String localRepository)` Sets the path to the local Maven repository.
    `ResolverOptions` | `setRemoteRepositories(List<String> remoteRepositories)` Sets the list of remote repositories used by the resolver.
    `ResolverOptions` | `setRemoteSnapshotPolicy(String remoteSnapshotPolicy)` Sets the remote snapshot policy (`daily` by default).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LOCAL_REPO_SYS_PROP

          public static final String LOCAL_REPO_SYS_PROP

      See Also:
        Constant Field Values

    - #### REMOTE_REPOS_SYS_PROP

          public static final String REMOTE_REPOS_SYS_PROP

      See Also:
        Constant Field Values

    - #### HTTP_PROXY_SYS_PROP

          public static final String HTTP_PROXY_SYS_PROP

      See Also:
        Constant Field Values

    - #### HTTPS_PROXY_SYS_PROP

          public static final String HTTPS_PROXY_SYS_PROP

      See Also:
        Constant Field Values

    - #### REMOTE_SNAPSHOT_POLICY_SYS_PROP

          public static final String REMOTE_SNAPSHOT_POLICY_SYS_PROP

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ResolverOptions

          public ResolverOptions()

  - ### Method Detail

    - #### getHttpProxy

          public String getHttpProxy()

      Returns:
        the configured proxy address for HTTP request, `null` if none.

    - #### setHttpProxy

          public ResolverOptions setHttpProxy(String httpProxy)

      Sets the address of the proxy used for HTTP requests.
      Parameters:
        `httpProxy` - the proxy address
      Returns:
        the current `ResolverOptions` instance

    - #### getHttpsProxy

          public String getHttpsProxy()

      Returns:
        the configured proxy address for HTTPS request, `null` if none.

    - #### setHttpsProxy

          public ResolverOptions setHttpsProxy(String httpsProxy)

      Sets the address of the proxy used for HTTPS requests.
      Parameters:
        `httpsProxy` - the proxy address
      Returns:
        the current `ResolverOptions` instance

    - #### getLocalRepository

          public String getLocalRepository()

      Returns:
        the path of the local repository. By default it's ~/.m2/repository.

    - #### setLocalRepository

          public ResolverOptions setLocalRepository(String localRepository)

      Sets the path to the local Maven repository. By default it's ~/.m2/repository.
      Parameters:
        `localRepository` - the local repository
      Returns:
        the current `ResolverOptions` instance

    - #### getRemoteRepositories

          public List<String> getRemoteRepositories()

      Returns:
        the list of remove repositories.

    - #### setRemoteRepositories

          public ResolverOptions setRemoteRepositories(List<String> remoteRepositories)

      Sets the list of remote repositories used by the resolver. The repository must use the Maven 2 repository layout. If you don't want to resolved from remote locations, set it to an empty list. By default it resolves from Maven central and Sonatype OSS Snapshots.
      Parameters:
        `remoteRepositories` - the list of remote repositories
      Returns:
        the current `ResolverOptions` instance

    - #### getRemoteSnapshotPolicy

          public String getRemoteSnapshotPolicy()

      Gets the remote snapshot policy.
      Returns:
        the remote snapshot policy.

    - #### setRemoteSnapshotPolicy

          public ResolverOptions setRemoteSnapshotPolicy(String remoteSnapshotPolicy)

      Sets the remote snapshot policy (`daily` by default). Accepted values are `daily`, `never`, `always` and `interval:X` where `X` is the number of minutes between two resolutions.
      Parameters:
        `remoteSnapshotPolicy` - the desired policy
      Returns:
        the current `ResolverOptions` instance

Copyright © 2020 Eclipse. All rights reserved.